"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ObservableQueryFor = void 0;
const ObservableQueryConnection_1 = require("./ObservableQueryConnection");
const ObservableQuerySubscription_1 = require("./ObservableQuerySubscription");
class ObservableQueryFor {
    subscribe(callback, args) {
        let actualRoute = this.route;
        if (args && Object.keys(args).length > 0) {
            actualRoute = this.routeTemplate(args);
        }
        const connection = new ObservableQueryConnection_1.ObservableQueryConnection(actualRoute);
        const subscriber = new ObservableQuerySubscription_1.ObservableQuerySubscription(connection);
        connection.connect(callback);
        return subscriber;
    }
}
exports.ObservableQueryFor = ObservableQueryFor;
//# sourceMappingURL=ObservableQueryFor.js.map