"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useObservableQuery = void 0;
const QueryResult_1 = require("./QueryResult");
const react_1 = require("react");
function useObservableQuery(query, args) {
    const queryInstance = new query();
    const [result, setResult] = (0, react_1.useState)(new QueryResult_1.QueryResult(queryInstance.defaultValue, true));
    (0, react_1.useEffect)(() => {
        if (queryInstance.requiresArguments && !args) {
            console.log(`Warning: Query '${query.name}' requires arguments. Will not perform the query.`);
            return;
        }
        const subscription = queryInstance.subscribe(_ => {
            setResult(_);
        }, args);
        return () => subscription.unsubscribe();
    }, []);
    return [result];
}
exports.useObservableQuery = useObservableQuery;
//# sourceMappingURL=useObservableQuery.js.map